<nav title="{{ _('Boards') }}" class="menu-padding">
    <h3>
        {{ _('Boards') }}
        <a href="{{ url('boards:board-create') }}" class="add-button" title="{{_('New board')}}"><i class="fa fa-plus-square fa-lg"></i></a>
    </h3>
    <ul class="board-list">
        {% for board in user_boards %}
        <li class="{{ board.slug }}" id="{{ board.slug }}-link">
            <a href="{{ url('boards:conversation-list', board_slug=board.slug) }}">{{board.title}}</a>
            <p>{{board.conversations.count()}}</p>
        </li>
        {% endfor %}
    </ul>
    {% if request.user.is_superuser %}
        <h3 class="section-margin">
            {{_("Manage")}}
        </h3>
        <ul class="board-list">
            <li><a href="{{ url('administration:index')}}">{{ _("EJ Environment") }}</a></li>
        </ul>
    {% endif %}
</nav>

<script>
    let url = window.location.href.split("/");
    let selectedBoard = url[url.length-3].replace(":","");
    let backgroundColor = document.querySelector("." + selectedBoard);

    if (backgroundColor) {
        backgroundColor.className = "selected-board";
        document.getElementById(selectedBoard + "-link").click();
    }
</script>

{{ page_menu.ACCESSIBILITY() }}
